<div class="product-tile" *ngIf="from !== 'home'" [ngClass]="toggleCardAnimation ? 'animated pulse' : '' " (mouseover)="toggleCardAnimationEffect(true)"
  (mouseleave)="toggleCardAnimationEffect(false)">
  <div class="card" *ngIf="productData">
    <div *ngIf="(productData.quantity - productData.soldOut) === 0" class="ribbon"><span>{{'labelOutOfStock' | translate: lang}}</span></div>
    <span (click)="moveToProductDetail(productData.productId, productData.vendorId)">
      <div class="card-img-top" [class.outof-stock]="from === 'sold'">
        <img [src]="productData.productImage" class="card-img" [title]="productData.productName" [lazyLoad]="productData.productImage">
        <!-- <img [src]="noImgUrl" class="card-img" [title]="productData.productName" [lazyLoad]="productData.productImage"> -->
      </div>
      <ul class="list-group list-group-flush" [title]="productData.productName" [class.outof-stock]="from === 'sold'">
        <li class="list-group-item">{{productData.productName}} </li>
        <li class="list-group-item">
          <span class="tile-price">{{(productData.taxDiscountPrice === 0 ?
            (productData.taxSalesPrice | customCurrencyFormat) : (productData.taxDiscountPrice | customCurrencyFormat))}}</span>
          <span *ngIf="showDiscount !== 0 && productData.taxDiscountPrice !== 0" class="tile-offerprice">{{productData.taxSalesPrice | customCurrencyFormat}}</span>
        </li>
        <li class="list-group-item mb-2">
          <span class="rating-icon">{{(productData.userRating !== null ? productData.userRating : 0)}} ★</span>
        </li>
      </ul>
    </span>
    <div class="row tile-row mobile-hide">
      <div class="tile-icons" [title]="productData.compareProduct ? (productData.compareProduct === 1 ? ('titleGoToCompare' | translate: lang) : ('titleAddToCompare' | translate: lang)) : ('titleAddToCompare' | translate: lang)"
        [ngClass]="toggleCardCompareIconAnimation ? 'animated rotateIn' : '' " (mouseover)="toggleCardIconAnimationEffect('compare',true)"
        (mouseleave)="toggleCardIconAnimationEffect('compare',false)" (click)="getProductAction(productData.productId, 'compare', productData)">
        <i class="fa fas fa-exchange-alt" [ngClass]="{'tile-icons-active': productData.compareProduct === 1}" aria-hidden="true"></i>
      </div>
      <div class="tile-icons" [title]="productData.favUser ? (productData.favUser === 1 ? ('titleRemoveFromWish' | translate: lang) : ('titleAddToWish' | translate: lang)) : ('titleAddToWish' | translate: lang)"
        (click)="getProductAction(productData.productId, 'wishList', productData)" [ngClass]="toggleCardWishListIconAnimation ? 'animated rotateIn' : '' "
        (mouseover)="toggleCardIconAnimationEffect('wishList',true)" (mouseleave)="toggleCardIconAnimationEffect('wishList',false)">
        <i [ngClass]="{'tile-icons-active': productData.favUser === 1}" class="fa fa-heart" aria-hidden="true"></i>
      </div>
      <div [ngClass]="{'tile-icons-disable': (productData.quantity - productData.soldOut) === 0 || from === 'sold'}">
      <div  class="tile-icons" [title]="productData.cartUser ? (productData.cartUser === 1 ? ('titleGoToCart' | translate: lang) : ('titleAddToCart' | translate: lang)) : ('titleAddToCart' | translate: lang)"
        (click)="getProductAction(productData.productId, 'cart', productData)" [ngClass]="toggleCardCartIconAnimation ? 'animated rotateIn' : '' "
        (mouseover)="(productData.quantity - productData.soldOut) === 0 ? '' : toggleCardIconAnimationEffect('cart', true)" (mouseleave)="(productData.quantity - productData.soldOut) === 0 ? '' : toggleCardIconAnimationEffect('cart',false)">
        <i [ngClass]="{'tile-icons-active': productData.cartUser === 1}" class="fa fa-shopping-cart" aria-hidden="true"></i>
      </div>
    </div>
    </div>
  </div>
</div>
<div class="product-tile" *ngIf="from === 'home'" [ngClass]="toggleCardAnimation ? 'animated pulse' : '' " (mouseover)="toggleCardAnimationEffect(true)"
  (mouseleave)="toggleCardAnimationEffect(false)">
  <div class="card" *ngIf="productData">
    <div *ngIf="(productData.quantity - productData.soldOut) === 0" class="ribbon"><span>{{'labelOutOfStock' | translate: lang}}</span></div>
    <span (click)="moveToProductDetail(productData.productId, productData.vendorId)">
      <div class="card-img-top">
        <img [src]="productData.productImage" class="card-img" [title]="productData.productName" [lazyLoad]="productData.productImage">
        <!-- <img [src]="noImgUrl" class="card-img" [title]="productData.productName" [lazyLoad]="productData.productImage"> -->
      </div>
      <ul class="list-group list-group-flush" [title]="productData.productName">
        <li class="list-group-item">{{productData.productName}} </li>
        <li class="list-group-item">
          <span class="tile-price">{{(productData.taxDiscountPrice === 0 ?
            (productData.taxSalesPrice | customCurrencyFormat) : (productData.taxDiscountPrice | customCurrencyFormat))}}</span>
          <span *ngIf="showDiscount !== 0 && productData.taxDiscountPrice !== 0" class="tile-offerprice">{{productData.taxSalesPrice | customCurrencyFormat}}</span>
        </li>
        <li class="list-group-item mb-2">
          <span class="rating-icon">{{(productData.userRating !== null ? productData.userRating : 0)}} ★</span>
        </li>
      </ul>
    </span>
    <div class="row tile-row mobile-hide">
    <div class="row tile-row ">
      <div class="tile-icons" [title]="productData.compareProduct ? (productData.compareProduct === 1 ? ('titleGoToCompare' | translate: lang) : ('titleAddToCompare' | translate: lang)) : ('titleAddToCompare' | translate: lang)"
        [ngClass]="toggleCardCompareIconAnimation ? 'animated rotateIn' : '' " (mouseover)="toggleCardIconAnimationEffect('compare',true)"
        (mouseleave)="toggleCardIconAnimationEffect('compare',false)" (click)="getProductAction(productData.productId, 'compare', productData)">
        <i class="fa fas fa-exchange-alt" [ngClass]="{'tile-icons-active': productData.compareProduct === 1}" aria-hidden="true"></i>
      </div>
      <div class="tile-icons" [title]="productData.favUser ? (productData.favUser === 1 ? ('titleRemoveFromWish' | translate: lang) : ('titleAddToWish' | translate: lang)) : ('titleAddToWish' | translate: lang)"
        (click)="getProductAction(productData.productId, 'wishList', productData)" [ngClass]="toggleCardWishListIconAnimation ? 'animated rotateIn' : '' "
        (mouseover)="toggleCardIconAnimationEffect('wishList',true)" (mouseleave)="toggleCardIconAnimationEffect('wishList',false)">
        <i [ngClass]="{'tile-icons-active': productData.favUser === 1}" class="fa fa-heart" aria-hidden="true"></i>
      </div>
      <div [ngClass]="{'tile-icons-disable': (productData.quantity - productData.soldOut) === 0}">
      <div  class="tile-icons" [title]="productData.cartUser ? (productData.cartUser === 1 ? ('titleGoToCart' | translate: lang) : ('titleAddToCart' | translate: lang)) : ('titleAddToCart' | translate: lang)"
        (click)="getProductAction(productData.productId, 'cart', productData)" [ngClass]="toggleCardCartIconAnimation ? 'animated rotateIn' : '' "
        (mouseover)="(productData.quantity - productData.soldOut) === 0 ? '' : toggleCardIconAnimationEffect('cart', true)" (mouseleave)="(productData.quantity - productData.soldOut) === 0 ? '' : toggleCardIconAnimationEffect('cart',false)">
        <i [ngClass]="{'tile-icons-active': productData.cartUser === 1}" class="fa fa-shopping-cart" aria-hidden="true"></i>
      </div>
    </div>
    </div>
  </div>
</div>